﻿using Microsoft.Maui;
using Microsoft.Maui.Controls.Shapes;
using Steema.TeeChart.Maui;
using Steema.TeeChart.Styles;
using System.Net.NetworkInformation;

namespace TeeChartMockUpDemos
{
    public partial class BarChart : ContentPage
    {
        public BarChart()
        {
            InitializeComponent();
            view3D.CheckedChanged += View3D_CheckedChanged;
            var bar = new Bar(tChart1.Chart);
            //bar.Add(10000000);
            bar.FillSampleValues(10);

            var bar2 = new Bar(tChart1.Chart);
            //bar.Add(10000000);
            bar2.FillSampleValues(10);
            tChart1.Chart.Panning.Active = false;
            tChart1.Chart.Zoom.Active = true;

            bar2.Gradient.Visible = true;
            bar2.BarStyle = BarStyles.RectGradient;


            // ***** Added Code *****
            bar.Click += Bar_Click;
            bar2.Click += Bar2_Click;
            bar.MouseEnter += Bar_MouseEnter;
            bar2.MouseEnter += Bar2_MouseEnter;
            bar.MouseLeave += Bar_MouseLeave;
            bar2.MouseLeave += Bar2_MouseLeave;
        }

        #region Added Code  *****
        // ***** Bug:  Never gets called
        private void Bar_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        // ***** Bug:  Never gets called
        private void Bar2_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        // ***** Bug:  Never gets called
        private void Bar2_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        // ***** Bug:  Never gets called
        private void Bar_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        // ***** Good: This works  *****
        private void Bar2_Click(object sender, Steema.TeeChart.Drawing.MouseEventArgs e)
        {
        }


        // ***** Good: This works  *****
        private void Bar_Click(object sender, Steema.TeeChart.Drawing.MouseEventArgs e)
        {
        }
        #endregion


        private void View3D_CheckedChanged(object sender, CheckedChangedEventArgs e)
        {
            tChart1.Chart.Aspect.View3D = e.Value;
            InvalidateMeasure();
        }

    }
}
