﻿using Microsoft.Maui;
using Steema.TeeChart.Maui;
using Steema.TeeChart.Styles;

namespace TeeChartMockUpDemos
{
    public partial class DonutChart : ContentPage
    {
        public DonutChart()
        {
            InitializeComponent();
            view3D.CheckedChanged += View3D_CheckedChanged;
            var donut = new Donut(tChart1.Chart);
            donut.Circled = true;
            donut.FillSampleValues();


            // *****  Added Code   *****
            donut.Click += Donut_Click;
            donut.MouseEnter += Donut_MouseEnter;
            donut.MouseLeave += Donut_MouseLeave;
        }

        #region *****  Added Code   *****
        // ***** Bug:  Never gets called
        private void Donut_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        // ***** Bug:  Never gets called
        private void Donut_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        // ***** Bug:  Never gets called
        private void Donut_Click(object sender, Steema.TeeChart.Drawing.MouseEventArgs e)
        {
            throw new NotImplementedException();
        }
        #endregion
        private void View3D_CheckedChanged(object sender, CheckedChangedEventArgs e)
        {
            tChart1.Chart.Aspect.View3D = e.Value;
            InvalidateMeasure();
        }

    }
}
