﻿using Microsoft.Maui;
using Steema.TeeChart.Maui;
using Steema.TeeChart.Styles;

namespace TeeChartMockUpDemos
{
    public partial class CandleChart : ContentPage
    {
        public CandleChart()
        {
            InitializeComponent();
            view3D.CheckedChanged += View3D_CheckedChanged;
            var CandleChart = new Candle(tChart1.Chart);
            CandleChart.FillSampleValues();

            // *****  Added Code   *****
            CandleChart.Click += CandleChart_Click;
            CandleChart.MouseEnter += CandleChart_MouseEnter;
            CandleChart.MouseLeave += CandleChart_MouseLeave;
        }

        #region *****  Added Code   *****
        // ***** Bug:  Never gets called
        private void CandleChart_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        // ***** Bug:  Never gets called
        private void CandleChart_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        // ***** Bug:  Never gets called
        private void CandleChart_Click(object sender, Steema.TeeChart.Drawing.MouseEventArgs e)
        {
            throw new NotImplementedException();
        }
        #endregion


        private void View3D_CheckedChanged(object sender, CheckedChangedEventArgs e)
        {
            tChart1.Chart.Aspect.View3D = e.Value;
            InvalidateMeasure();
        }

    }
}
