﻿using Microsoft.Maui;
using Steema.TeeChart.Maui;
using Steema.TeeChart.Styles;

namespace TeeChartMockUpDemos
{
    public partial class CircularGaugeChart : ContentPage
    {
        public CircularGaugeChart()
        {
            InitializeComponent();
            var circularGauge = new CircularGauge(tChart1.Chart);            
            circularGauge.FillSampleValues(10);
            circularGauge.Value = 35;

            tChart1.Chart.Panning.Active = false;
            tChart1.Chart.Zoom.Active = true;
            tChart1.Chart.Header.Visible = false;

            // *****  Added Code   *****
            circularGauge.Click += CircularGauge_Click;
            circularGauge.MouseEnter += CircularGauge_MouseEnter;
            circularGauge.MouseLeave += CircularGauge_MouseLeave;
        }

        #region *****  Added Code   *****
        // ***** Bug:  Never gets called
        private void CircularGauge_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        // ***** Bug:  Never gets called
        private void CircularGauge_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        // ***** Good: This kind of works  *****
        private void CircularGauge_Click(object sender, Steema.TeeChart.Drawing.MouseEventArgs e)
        {
            //  **** Bug:   Works unless you do click on the outer most ring of the gauge
        }
        #endregion
    }
}
