﻿using Microsoft.Maui;
using Steema.TeeChart.Maui;
using Steema.TeeChart.Styles;

namespace TeeChartMockUpDemos
{
    public partial class LineChart : ContentPage
    {
        public LineChart()
        {
            InitializeComponent();
            view3D.CheckedChanged += View3D_CheckedChanged;
            var line = new Line(tChart1.Chart);
            line.FillSampleValues();
            var line2 = new Line(tChart1.Chart);
            line2.FillSampleValues();
            var line3 = new Line(tChart1.Chart);
            line3.FillSampleValues();

            tChart1.Panning.Active = false;
            tChart1.Zoom.Active = true;


            // *****  Added Code   *****
            line.Click += Line_Click;
            line2.Click += Line_Click;
            line3.Click += Line_Click;

            //line.ClickPointer += Line_ClickPointer;
            //line2.ClickPointer += Line_ClickPointer;
            //line3.ClickPointer += Line_ClickPointer;

            line.DblClick += Line_DblClick;
            line2.DblClick += Line_DblClick;
            line3.DblClick += Line_DblClick;

            line.MouseEnter += Line_MouseEnter;
            line2.MouseEnter += Line_MouseEnter;
            line3.MouseEnter += Line_MouseEnter;

            line.MouseLeave += Line_MouseLeave;
            line2.MouseLeave += Line_MouseLeave;
            line3.MouseLeave += Line_MouseLeave;
        }

        #region *****  Added Code   *****
        // ***** Bug:  Never gets called
        private void Line_MouseLeave(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        // ***** Bug:  Never gets called
        private void Line_MouseEnter(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        // ***** Bug:  Never gets called
        private void Line_DblClick(object sender, Steema.TeeChart.Drawing.MouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        // ***** Bug:  Never gets called
        private void Line_ClickPointer(CustomPoint series, int valueIndex, int x, int y)
        {
            throw new NotImplementedException();
        }

        // ***** Good: This works  *****
        private void Line_Click(object sender, Steema.TeeChart.Drawing.MouseEventArgs e)
        {
        }
        #endregion

        private void View3D_CheckedChanged(object sender, CheckedChangedEventArgs e)
        {
            tChart1.Chart.Aspect.View3D = e.Value;
        }
    }
}
